## golang-github-bradenaw-juniper 0.15.3

=== debian/changelog ===
golang-github-bradenaw-juniper (0.15.3-1) unstable; urgency=medium

  * New upstream version 0.15.3
  * Skip TestJitterTicker (Closes: #1091601)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 02 Jan 2025 14:57:37 +0800
